//
//  tank
//
//  Import and Playlist Daemon for autoradio project
//
//
//  Copyright (C) 2017-2018 Christian Pointner <equinox@helsinki.at>
//
//  This file is part of tank.
//
//  tank is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  any later version.
//
//  tank is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with tank. If not, see <http://www.gnu.org/licenses/>.
//

package importer

import (
	"log"
)

type jobInventoryGroup struct {
	jobs map[uint64]*Job
	// add list of subscription channels
}

func newJobInventoryGroup() *jobInventoryGroup {
	g := &jobInventoryGroup{}
	g.jobs = make(map[uint64]*Job)
	return g
}

type jobInventory struct {
	infoLog *log.Logger
	errLog  *log.Logger
	dbgLog  *log.Logger
	groups  map[string]*jobInventoryGroup
}

func (i *jobInventory) insertOrGetJob(group string, id uint64, job *Job) (*Job, error) {
	// TODO: implement this
	return nil, ErrNotImplemented
}

func (i *jobInventory) getJob(group string, id uint64) (*Job, error) {
	// TODO: implement this
	return nil, ErrNotImplemented
}

// handle subscriptions for new jobs

func (i *jobInventory) deleteJob(group string, id uint64) error {
	// TODO: implement this
	return ErrNotImplemented
}

func newJobInventory(infoLog, errLog, dbgLog *log.Logger) *jobInventory {
	i := &jobInventory{infoLog: infoLog, errLog: errLog, dbgLog: dbgLog}
	i.groups = make(map[string]*jobInventoryGroup)
	return i
}
